Bug 1437851

Summary: Review Request: modularity-testing-framework - Framework for writing tests for modules and containers
Product: [Fedora] Fedora Reporter: Petr Hracek <phracek>
Component: Package ReviewAssignee: Jan Ščotka <jscotka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jscotka, package-review
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: jscotka: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-26 13:28:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Hracek 2017-03-31 10:15:02 UTC
Spec URL: https://phracek.fedorapeople.org/modularity-testing-framework.spec
SRPM URL: https://phracek.fedorapeople.org/modularity-testing-framework-0.2.1-1.fc25.src.rpm
Description: Framework for writing tests for modules and containers.
Fedora Account System Username: phracek

Comment 1 Jan Ščotka 2017-03-31 11:43:52 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 72 files have
     unknown license. Detailed output of licensecheck in
     /home/jscotka/review/1437851-modularity-testing-
     framework/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://pagure.io/modularity-
     testing-framework/modularity-testing-framework/0.2.1.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: modularity-testing-framework-0.2.1-1.fc25.noarch.rpm
          modularity-testing-framework-0.2.1-1.fc25.src.rpm
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/module_framework.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/generated.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/PureAvocadoTest.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/setup.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/setup.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/baseruntime/generated.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/generator.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/module_framework.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/modulelint.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/environment.py 644 /usr/bin/python 
modularity-testing-framework.noarch: W: no-manual-page-for-binary generator
modularity-testing-framework.noarch: W: no-manual-page-for-binary modulelint
modularity-testing-framework.noarch: W: no-manual-page-for-binary moduleframework-cmd
modularity-testing-framework.src: W: invalid-url Source0: https://pagure.io/modularity-testing-framework/modularity-testing-framework/0.2.1.tar.gz HTTP Error 404: NOT FOUND
2 packages and 0 specfiles checked; 11 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/bashhelper.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/module_framework.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/baseruntime/generated.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached-behave/environment.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/module_framework.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/setup.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/generator.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/moduleframework/setup.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/testing-module/PureAvocadoTest.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/moduleframework/modulelint.py 644 /usr/bin/python 
modularity-testing-framework.noarch: E: non-executable-script /usr/share/moduleframework/examples/memcached/generated.py 644 /usr/bin/python 
modularity-testing-framework.noarch: W: no-manual-page-for-binary generator
modularity-testing-framework.noarch: W: no-manual-page-for-binary modulelint
modularity-testing-framework.noarch: W: no-manual-page-for-binary moduleframework-cmd
1 packages and 0 specfiles checked; 11 errors, 3 warnings.



Requires
--------
modularity-testing-framework (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python
    /usr/bin/python2
    docker
    docker-distribution
    python(abi)
    python2-avocado



Provides
--------
modularity-testing-framework:
    modularity-testing-framework
    python2.7dist(modularity-testing-framework)
    python2dist(modularity-testing-framework)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1437851
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Petr Hracek 2017-04-05 10:26:06 UTC
Here is new version

Spec URL: https://phracek.fedorapeople.org/modularity-testing-framework.spec
SRPM URL: https://phracek.fedorapeople.org/modularity-testing-framework-0.2.5-1.fc25.src.rpm

Please check it again and let me know.

Comment 4 Gwyn Ciesla 2017-04-06 12:25:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/modularity-testing-framework

Comment 5 Fedora Update System 2017-04-11 08:27:08 UTC
modularity-testing-framework-0.2.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-762a026c97

Comment 6 Fedora Update System 2017-04-11 08:31:59 UTC
modularity-testing-framework-0.2.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-86059840da

Comment 7 Fedora Update System 2017-04-11 19:25:09 UTC
modularity-testing-framework-0.2.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-86059840da

Comment 8 Fedora Update System 2017-04-11 20:53:18 UTC
modularity-testing-framework-0.2.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-762a026c97

Comment 9 Fedora Update System 2017-04-20 14:28:31 UTC
modularity-testing-framework-0.2.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1cd7d0af4f

Comment 10 Fedora Update System 2017-04-22 21:47:25 UTC
modularity-testing-framework-0.2.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1cd7d0af4f

Comment 11 Fedora Update System 2017-04-28 14:35:32 UTC
modularity-testing-framework-0.2.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-29 01:49:38 UTC
modularity-testing-framework-0.2.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Jan Ščotka 2018-02-27 09:15:45 UTC
done